diff --git a/src/usr/local/www/pkg_mgr_install.php b/src/usr/local/www/pkg_mgr_install.php
index 6eee5ed9ee..9b275652ec 100644
--- a/src/usr/local/www/pkg_mgr_install.php
+++ b/src/usr/local/www/pkg_mgr_install.php
@@ -391,11 +391,11 @@ if (!isvalidpid($gui_pidfile) && !$confirmed && !$completed &&
 		$repos = update_repos();
 		$helpfilename = pkg_get_repo_help();
 
-		$group = new Form_Group("Branch");
+		$group = new Form_Group(gettext('Branch'));
 
 		$field = new Form_Select(
 			'fwbranch',
-			'*Branch',
+			'*'.gettext('Branch'),
 			pkg_get_repo_name(config_get_path('system/pkg_repo_conf_path')),
 			pkg_build_repo_list()
 		);
@@ -415,7 +415,7 @@ if (!isvalidpid($gui_pidfile) && !$confirmed && !$completed &&
 				'<label class="col-sm-2 control-label">' .
 					gettext("Messages") .
 				'</label>' .
-				'<div class="col-sm-10" id="netgate_messages">' 
+				'<div class="col-sm-10" id="netgate_messages">'
 
 			);
 			foreach ($repos['messages'] as $message) {
@@ -443,7 +443,7 @@ if (!isvalidpid($gui_pidfile) && !$confirmed && !$completed &&
 
 				<div class="form-group" id="confirm">
 					<label class="col-sm-2 control-label" id="confirmlabel">
-						<?=gettext("Retrieving")?>
+						<?=gettext('Retrieving')?>
 					</label>
 					<div class="col-sm-10">
 						<input type="hidden" name="id" value="firmware" />
@@ -452,7 +452,7 @@ if (!isvalidpid($gui_pidfile) && !$confirmed && !$completed &&
 							<i class="fa-solid fa-check icon-embed-btn"></i>
 							<?=gettext("Confirm")?>
 						</button>
-						<span id="uptodate"><i class="fa-solid fa-cog fa-spin fa-lg text-warning"></i></span>
+						<span id="uptodate"><i class="fa-solid fa-rotate fa-spin fa-lg text-warning"></i></span>
 					</div>
 				</div>
 <?php
@@ -537,6 +537,12 @@ if ($confirmed || isvalidpid($gui_pidfile)):
 	<br />
 	<div class="panel panel-default">
 		<div class="panel-heading">
+			<div style="float: right;">
+				<label>
+					<input style="margin: 4px 4px 0;" type="checkbox" checked="true" id="autoscroll" />
+				<?=gettext('Auto-scroll')?>
+				</label>
+			</div>
 			<h2 class="panel-title" id="status"><?=$panel_heading_txt?></h2>
 		</div>
 
@@ -821,8 +827,10 @@ function getLogsStatus() {
 	var ajaxRequest;
 	var repeat;
 	var progress;
+	var overrideScroll;
 
 	repeat = true;
+	overrideScroll = false;
 
 	ajaxRequest = $.ajax({
 			url: "pkg_mgr_install.php",
@@ -843,9 +851,15 @@ function getLogsStatus() {
 //		alert("JSON data: " + JSON.stringify(json));
 
 		if (json.log != "not_ready") {
+			var _o = $('#output');
 			// Write the log file to the "output" textarea
-			$('#output').html(json.log);
-			scrollToBottom();
+			_o.html(json.log);
+
+			if ($('#autoscroll').prop('checked')) {
+				overrideScroll = true;
+				_o.scrollTop(_o.prop('scrollHeight'));
+				overrideScroll = false;
+			}
 
 			// Update the progress bar
 			progress = 0;
@@ -906,8 +920,14 @@ function getLogsStatus() {
 	});
 }
 
-function scrollToBottom() {
-	$('#output').scrollTop($('#output')[0].scrollHeight);
+function scrollToBottom(force) {
+	var _o = $('#output');
+	var _d = _o.scrollTop() + _o.outerHeight() * 2;
+	if (force || _d > _o.prop('scrollHeight')) {
+		_o.scrollTop(_o.prop('scrollHeight'));
+		console.log('scroll locked');
+	}
+	console.log('scroll unlocked');
 }
 
 var time = 0;
@@ -961,7 +981,7 @@ events.push(function() {
 		setProgress('progressbar', 100, false);
 		$('#progressbar').addClass("progress-bar-success");
 		show_success();
-		setTimeout(scrollToBottom, 200);
+		setTimeout(scrollToBottom, 200, true); /* force scroll */
 	}
 
 	if ("<?=$firmwareupdate?>") {
diff --git a/src/usr/local/www/services_acb.php b/src/usr/local/www/services_acb.php
index 190d9745fc..9afbaa7212 100644
--- a/src/usr/local/www/services_acb.php
+++ b/src/usr/local/www/services_acb.php
@@ -138,11 +138,9 @@ if ($_REQUEST['newver'] != "") {
 		$data = substr($out, 0, $pos);
 		$data = $data . "</pfsense>\n";
 
-		$fd = fopen("/tmp/config_restore.xml", "w");
-		fwrite($fd, $data);
-		fclose($fd);
+		file_put_contents('/tmp/config_restore.xml', $data);
 
-		$ondisksha256 = trim(shell_exec("/sbin/sha256 /tmp/config_restore.xml | /usr/bin/awk '{ print $4 }'"));
+		$ondisksha256 = hash_file('sha256', '/tmp/config_restore.xml');
 		// We might not have a sha256 on file for older backups
 		if ($sha256 != "0" && $sha256 != "") {
 			if ($ondisksha256 != $sha256) {
@@ -161,7 +159,7 @@ if ($_REQUEST['newver'] != "") {
 		}
 
 		if (!$input_errors && $data) {
-			if (config_restore("/tmp/config_restore.xml") == 0) {
+			if (config_restore("/tmp/config_restore.xml", "/tmp/config_restore.xml")) {
 				$savemsg = "Successfully reverted the pfSense configuration to revision " . urldecode($_REQUEST['newver']) . ".";
 				$savemsg .= <<<EOF
 			<br />
@@ -172,7 +170,7 @@ if ($_REQUEST['newver'] != "") {
 		</form>
 EOF;
 			} else {
-				$savemsg = "Unable to revert to the selected configuration.";
+				$errormsg = gettext('Unable to revert to the selected configuration.');
 			}
 		} else {
 			log_error("There was an error when restoring the AutoConfigBackup item");
@@ -286,6 +284,9 @@ if ($input_errors) {
 if ($savemsg) {
 	print_info_box($savemsg, 'success');
 }
+if ($errormsg) {
+	print_info_box($errormsg, 'danger');
+}
 
 $tab_array = array();
 $tab_array[0] = array("Settings", false, "/services_acb_settings.php");
diff --git a/src/usr/local/www/services_dhcp.php b/src/usr/local/www/services_dhcp.php
index 6ea62737e3..5ed43bb248 100644
--- a/src/usr/local/www/services_dhcp.php
+++ b/src/usr/local/www/services_dhcp.php
@@ -1040,7 +1040,7 @@ if (is_null($pconfig) || !is_array($pconfig)) {
 
 $form = new Form();
 
-$section = new Form_Section(gettext('General DHCP Options'));
+$section = new Form_Section(gettext('General Settings'));
 
 $section->addInput(new Form_StaticText(
 	gettext('DHCP Backend'),
@@ -1909,15 +1909,15 @@ if (!is_numeric($pool) && !($act == "newpool")) {
 				<thead>
 					<tr>
 						<th><?=gettext("Static ARP")?></th>
-						<th><?=gettext("MAC address")?></th>
+						<th><?=gettext("MAC Address")?></th>
 <?php
 	if ($got_cid):
 ?>
-						<th><?=gettext("Client Id")?></th>
+						<th><?=gettext("Client ID")?></th>
 <?php
 	endif;
 ?>
-						<th><?=gettext("IP address")?></th>
+						<th><?=gettext("IP Address")?></th>
 						<th><?=gettext("Hostname")?></th>
 						<th><?=gettext("Description")?></th>
 						<th></th>
@@ -1958,8 +1958,8 @@ if (!is_numeric($pool) && !($act == "newpool")) {
 						<?=htmlspecialchars($mapent['descr'])?>
 					</td>
 					<td>
-						<a class="fa-solid fa-pencil"	title="<?=gettext('Edit static mapping')?>"	href="services_dhcp_edit.php?if=<?=htmlspecialchars($if)?>&amp;id=<?=$i?>"></a>
-						<a class="fa-solid fa-trash-can"	title="<?=gettext('Delete static mapping')?>"	href="services_dhcp.php?if=<?=htmlspecialchars($if)?>&amp;act=del&amp;id=<?=$i?>" usepost></a>
+						<a class="fa-solid fa-pencil" title="<?=gettext('Edit static mapping')?>"	href="services_dhcp_edit.php?if=<?=htmlspecialchars($if)?>&amp;id=<?=$i?>"></a>
+						<a class="fa-solid fa-trash-can text-danger" title="<?=gettext('Delete static mapping')?>"	href="services_dhcp.php?if=<?=htmlspecialchars($if)?>&amp;act=del&amp;id=<?=$i?>" usepost></a>
 					</td>
 				</tr>
 <?php
diff --git a/src/usr/local/www/services_dhcp_edit.php b/src/usr/local/www/services_dhcp_edit.php
index 6d0a0e6656..3ea803a1aa 100644
--- a/src/usr/local/www/services_dhcp_edit.php
+++ b/src/usr/local/www/services_dhcp_edit.php
@@ -542,7 +542,7 @@ $section->add($group);
 $cid_help = gettext('An optional identifier to match based on the value sent by the client (RFC 2132).');
 if (dhcp_is_backend('kea')) {
 	$cid_help .= '<br /><br />';
-	$cid_help .= gettext('Kea DHCP will only match on MAC address if both MAC address and client identifier are set for a static reservation.');
+	$cid_help .= gettext('Kea DHCP will match on MAC address if both MAC address and client identifier are set for a static mapping.');
 }
 
 $section->addInput(new Form_Input(
diff --git a/src/usr/local/www/services_dhcpv6.php b/src/usr/local/www/services_dhcpv6.php
index 003596858a..da7b3e79b2 100644
--- a/src/usr/local/www/services_dhcpv6.php
+++ b/src/usr/local/www/services_dhcpv6.php
@@ -699,7 +699,7 @@ if (is_null($pconfig) || !is_array($pconfig)) {
 
 $form = new Form();
 
-$section = new Form_Section(gettext('General DHCPv6 Options'));
+$section = new Form_Section(gettext('General Settings'));
 
 $section->addInput(new Form_StaticText(
 	gettext('DHCP Backend'),
@@ -1383,8 +1383,8 @@ foreach (config_get_path("dhcpdv6/{$if}/staticmap", []) as $mapent):
 					<?=htmlspecialchars($mapent['descr'])?>
 				</td>
 				<td>
-					<a class="fa-solid fa-pencil"	title="<?=gettext('Edit static mapping')?>" href="services_dhcpv6_edit.php?if=<?=$if?>&amp;id=<?=$i?>"></a>
-					<a class="fa-solid fa-trash-can"	title="<?=gettext('Delete static mapping')?>" href="services_dhcpv6.php?if=<?=$if?>&amp;act=del&amp;id=<?=$i?>" usepost></a>
+					<a class="fa-solid fa-pencil" title="<?=gettext('Edit static mapping')?>" href="services_dhcpv6_edit.php?if=<?=$if?>&amp;id=<?=$i?>"></a>
+					<a class="fa-solid fa-trash-can text-danger" title="<?=gettext('Delete static mapping')?>" href="services_dhcpv6.php?if=<?=$if?>&amp;act=del&amp;id=<?=$i?>" usepost></a>
 				</td>
 			</tr>
 <?php
diff --git a/src/usr/local/www/services_unbound.php b/src/usr/local/www/services_unbound.php
index e279fd469e..1fffca54a1 100644
--- a/src/usr/local/www/services_unbound.php
+++ b/src/usr/local/www/services_unbound.php
@@ -290,14 +290,14 @@ $section = new Form_Section('General DNS Resolver Options');
 
 $section->addInput(new Form_Checkbox(
 	'enable',
-	'Enable',
-	'Enable DNS resolver',
+	gettext('Enable'),
+	gettext('Enable DNS resolver'),
 	$pconfig['enable']
 ));
 
 $section->addInput(new Form_Input(
 	'port',
-	'Listen Port',
+	gettext('Listen Port'),
 	'number',
 	$pconfig['port'],
 	['placeholder' => '53']
@@ -305,30 +305,30 @@ $section->addInput(new Form_Input(
 
 $section->addInput(new Form_Checkbox(
 	'enablessl',
-	'Enable SSL/TLS Service',
-	'Respond to incoming SSL/TLS queries from local clients',
+	gettext('Enable SSL/TLS Service'),
+	gettext('Respond to incoming SSL/TLS queries from local clients'),
 	$pconfig['enablessl']
 ))->setHelp('Configures the DNS Resolver to act as a DNS over SSL/TLS server which can answer queries from clients which also support DNS over TLS. ' .
-		'Activating this option disables automatic interface response routing behavior, thus it works best with specific interface bindings.' );
+		'Activating this option disables automatic interface response routing behavior, thus it works best with specific interface bindings.');
 
 if ($certs_available) {
 	$section->addInput($input = new Form_Select(
 		'sslcertref',
-		'SSL/TLS Certificate',
+		gettext('SSL/TLS Certificate'),
 		$pconfig['sslcertref'],
 		cert_build_list('cert', 'IPsec')
 	))->setHelp('The server certificate to use for SSL/TLS service. The CA chain will be determined automatically.');
 } else {
 	$section->addInput(new Form_StaticText(
 		'SSL/TLS Certificate',
-		sprintf('No Certificates have been defined. A certificate is required before SSL/TLS can be enabled. %1$s Create or Import %2$s a Certificate.',
-		'<a href="system_certmanager.php">', '</a>')
+		sprintf(gettext('No Certificates have been defined. A certificate is required before SSL/TLS can be enabled. %1$s Create or Import %2$s a Certificate.'),
+			'<a href="system_certmanager.php">', '</a>')
 	));
 }
 
 $section->addInput(new Form_Input(
 	'tlsport',
-	'SSL/TLS Listen Port',
+	gettext('SSL/TLS Listen Port'),
 	'number',
 	$pconfig['tlsport'],
 	['placeholder' => '853']
@@ -338,7 +338,7 @@ $activeiflist = build_if_list($pconfig['active_interface']);
 
 $section->addInput(new Form_Select(
 	'active_interface',
-	'*Network Interfaces',
+	'*'.gettext('Network Interfaces'),
 	$activeiflist['selected'],
 	$activeiflist['options'],
 	true
@@ -349,7 +349,7 @@ $outiflist = build_if_list($pconfig['outgoing_interface']);
 
 $section->addInput(new Form_Select(
 	'outgoing_interface',
-	'*Outgoing Network Interfaces',
+	'*'.gettext('Outgoing Network Interfaces'),
 	$outiflist['selected'],
 	$outiflist['options'],
 	true
@@ -357,50 +357,50 @@ $section->addInput(new Form_Select(
 
 $section->addInput(new Form_Checkbox(
 	'strictout',
-	'Strict Outgoing Network Interface Binding',
-	'Do not send recursive queries if none of the selected Outgoing Network Interfaces are available.',
+	gettext('Strict Outgoing Network Interface Binding'),
+	gettext('Do not send recursive queries if none of the selected Outgoing Network Interfaces are available.'),
 	$pconfig['strictout']
 ))->setHelp('By default the DNS Resolver sends recursive DNS requests over any available interfaces if none of the selected Outgoing Network Interfaces are available. This option makes the DNS Resolver refuse recursive queries.');
 
 $section->addInput(new Form_Select(
 	'system_domain_local_zone_type',
-	'*System Domain Local Zone Type',
+	'*'.gettext('System Domain Local Zone Type'),
 	$pconfig['system_domain_local_zone_type'],
 	unbound_local_zone_types()
-))->setHelp('The local-zone type used for the %1$s system domain (System | General Setup | Domain).  Transparent is the default.', g_get('product_label'));
+))->setHelp('The local-zone type used for the %1$s system domain (%2$sSystem &gt; General Setup%3$s). Transparent is the default.', g_get('product_label'), '<a href="system.php">','</a>');
 
 $section->addInput(new Form_Checkbox(
 	'dnssec',
 	'DNSSEC',
-	'Enable DNSSEC Support',
+	gettext('Enable DNSSEC Support'),
 	$pconfig['dnssec']
 ));
 
 $section->addInput(new Form_Checkbox(
 	'python',
-	'Python Module',
-	'Enable Python Module',
+	gettext('Python Module'),
+	gettext('Enable Python Module'),
 	$pconfig['python']
 ))->setHelp('Enable the Python Module.');
 
 $section->addInput(new Form_Select(
 	'python_order',
-	'Python Module Order',
+	gettext('Python Module Order'),
 	$pconfig['python_order'],
 	[ 'pre_validator' => 'Pre Validator', 'post_validator' => 'Post Validator' ]
 ))->setHelp('Select the Python Module ordering.');
 
 $section->addInput(new Form_Select(
 	'python_script',
-	'Python Module Script',
+	gettext('Python Module Script'),
 	$pconfig['python_script'],
 	$python_scripts
 ))->setHelp('Select the Python module script to utilize.');
 
 $section->addInput(new Form_Checkbox(
 	'forwarding',
-	'DNS Query Forwarding',
-	'Enable Forwarding Mode',
+	gettext('DNS Query Forwarding'),
+	gettext('Enable Forwarding Mode'),
 	$pconfig['forwarding']
 ))->setHelp('If this option is set, DNS queries will be forwarded to the upstream DNS servers defined under'.
 					' %1$sSystem &gt; General Setup%2$s or those obtained via dynamic ' .
@@ -410,15 +410,15 @@ $section->addInput(new Form_Checkbox(
 $section->addInput(new Form_Checkbox(
 	'forward_tls_upstream',
 	null,
-	'Use SSL/TLS for outgoing DNS Queries to Forwarding Servers',
+	gettext('Use SSL/TLS for outgoing DNS Queries to Forwarding Servers'),
 	$pconfig['forward_tls_upstream']
 ))->setHelp('When set in conjunction with DNS Query Forwarding, queries to all upstream forwarding DNS servers will be sent using SSL/TLS on the default port of 853. Note that ALL configured forwarding servers MUST support SSL/TLS queries on port 853.');
 
 if (dhcp_is_backend('isc')):
 $section->addInput(new Form_Checkbox(
 	'regdhcp',
-	'DHCP Registration',
-	'Register DHCP leases in the DNS Resolver',
+	gettext('DHCP Registration'),
+	gettext('Register DHCP leases in the DNS Resolver'),
 	$pconfig['regdhcp']
 ))->setHelp('If this option is set, then machines that specify their hostname when requesting an IPv4 DHCP lease will be registered'.
 					' in the DNS Resolver so that their name can be resolved.'.
@@ -427,8 +427,8 @@ $section->addInput(new Form_Checkbox(
 
 $section->addInput(new Form_Checkbox(
 	'regdhcpstatic',
-	'Static DHCP',
-	'Register DHCP static mappings in the DNS Resolver',
+	gettext('Static DHCP'),
+	gettext('Register DHCP static mappings in the DNS Resolver'),
 	$pconfig['regdhcpstatic']
 ))->setHelp('If this option is set, then DHCP static mappings will be registered in the DNS Resolver, so that their name can be resolved. '.
 					'The domain in %1$sSystem &gt; General Setup%2$s should also be set to the proper value.','<a href="system.php">','</a>');
@@ -436,14 +436,14 @@ endif;
 
 $section->addInput(new Form_Checkbox(
 	'regovpnclients',
-	'OpenVPN Clients',
-	'Register connected OpenVPN clients in the DNS Resolver',
+	gettext('OpenVPN Clients'),
+	gettext('Register connected OpenVPN clients in the DNS Resolver'),
 	$pconfig['regovpnclients']
-))->setHelp(sprintf('If this option is set, then the common name (CN) of connected OpenVPN clients will be ' .
+))->setHelp('If this option is set, then the common name (CN) of connected OpenVPN clients will be ' .
 	    'registered in the DNS Resolver, so that their name can be resolved. This only works for OpenVPN ' .
 	    'servers (Remote Access SSL/TLS or User Auth with Username as Common Name option) operating ' .
-	    'in "tun" mode. The domain in %sSystem: General Setup%s should also be set to the proper value.',
-	    '<a href="system.php">','</a>'));
+	    'in "tun" mode. The domain in %1$sSystem &gt; General Setup%2$s should also be set to the proper value.',
+	    '<a href="system.php">','</a>');
 
 $btnadv = new Form_Button(
 	'btnadvcustom',
@@ -599,7 +599,7 @@ endforeach;
 </span>
 
 <nav class="action-buttons">
-	<a href="services_unbound_host_edit.php" class="btn btn-sm btn-success">
+	<a href="services_unbound_host_edit.php" class="btn btn-success">
 		<i class="fa-solid fa-plus icon-embed-btn"></i>
 		<?=gettext('Add')?>
 	</a>
@@ -657,7 +657,7 @@ endforeach;
 </span>
 
 <nav class="action-buttons">
-	<a href="services_unbound_domainoverride_edit.php" class="btn btn-sm btn-success">
+	<a href="services_unbound_domainoverride_edit.php" class="btn btn-success">
 		<i class="fa-solid fa-plus icon-embed-btn"></i>
 		<?=gettext('Add')?>
 	</a>
diff --git a/src/usr/local/www/system_advanced_misc.php b/src/usr/local/www/system_advanced_misc.php
index 9878bd9486..62a6dbe3dc 100644
--- a/src/usr/local/www/system_advanced_misc.php
+++ b/src/usr/local/www/system_advanced_misc.php
@@ -33,13 +33,14 @@
 ##|*MATCH=system_advanced_misc.php*
 ##|-PRIV
 
-require_once("guiconfig.inc");
-require_once("functions.inc");
-require_once("filter.inc");
+require_once('guiconfig.inc');
+require_once('functions.inc');
+require_once('filter.inc');
 require_once("system.inc");
-require_once("shaper.inc");
-require_once("vpn.inc");
-require_once("system_advanced_misc.inc");
+require_once('shaper.inc');
+require_once('util.inc');
+require_once('vpn.inc');
+require_once('system_advanced_misc.inc');
 
 global $hwpstate_status_descr, $hwpstate_control_levels;
 $hwpstate_status = system_has_hwpstate();
@@ -63,11 +64,7 @@ $mds_modes = array(
 
 $pconfig = getSystemAdvancedMisc();
 
-$crypto_modules = array(
-	'aesni' => gettext("AES-NI CPU-based Acceleration"),
-	'cryptodev' => gettext("BSD Crypto Device (cryptodev)"),
-	'aesni_cryptodev' => gettext("AES-NI and BSD Crypto Device (aesni, cryptodev)"),
-);
+$crypto_modules = getSystemAdvancedMiscCryptoModules();
 
 $thermal_hardware_modules = array(
 	'coretemp' => gettext("Intel Core* CPU on-die thermal sensor"),
diff --git a/src/usr/local/www/system_update_settings.php b/src/usr/local/www/system_update_settings.php
index fac67f7365..9dcda57f30 100644
--- a/src/usr/local/www/system_update_settings.php
+++ b/src/usr/local/www/system_update_settings.php
@@ -130,11 +130,11 @@ $helpfilename = pkg_get_repo_help();
 
 $form = new Form();
 
-$section = new Form_Section('Firmware Branch');
+$section = new Form_Section(gettext('Firmware Branch'));
 
 $field = new Form_Select(
 	'fwbranch',
-	'*Branch',
+	'*'.gettext('Branch'),
 	pkg_get_repo_name(config_get_path('system/pkg_repo_conf_path')),
 	pkg_build_repo_list()
 );
@@ -142,23 +142,21 @@ $field = new Form_Select(
 if (file_exists($helpfilename)) {
 	$field->setHelp(file_get_contents($helpfilename));
 } else {
-	$field->setHelp('Please select the branch from which to update the system firmware. %1$s' .
-					'Use of the development version is at your own risk!', '<br />');
+	$field->setHelp(gettext('Please select the branch from which to update the system firmware. %1$s' .
+					'Use of the development version is at your own risk!'), '<br />');
 }
 
 $section->addInput($field);
 
 $form->add($section);
 
-$section = new Form_Section('Updates');
-
+$section = new Form_Section(gettext('Update Settings'));
 $section->addInput(new Form_Checkbox(
 	'disablecheck',
-	'Dashboard check',
-	'Disable the Dashboard auto-update check',
+	gettext('Dashboard Check'),
+	gettext('Disable the dashboard auto-update check.'),
 	isset($curcfg['disablecheck'])
-	));
-
+));
 $form->add($section);
 
 if (file_exists("/usr/local/bin/git")) {
@@ -166,10 +164,10 @@ if (file_exists("/usr/local/bin/git")) {
 
 	$section->addInput(new Form_Checkbox(
 		'synconupgrade',
-		'Auto sync on update',
-		'Enable repository/branch sync before reboot',
+		gettext('Auto sync on update'),
+		gettext('Enable repository/branch sync before reboot'),
 		isset($gitcfg['synconupgrade'])
-		))->setHelp('After updating, sync with the following repository/branch before reboot.');
+		))->setHelp(gettext('After updating, sync with the following repository/branch before reboot.'));
 
 	if (is_dir("/root/pfsense/pfSenseGITREPO/pfSenseGITREPO")) {
 		exec("cd /root/pfsense/pfSenseGITREPO/pfSenseGITREPO && /usr/local/bin/git config remote.origin.url", $output_str);
@@ -181,10 +179,10 @@ if (file_exists("/usr/local/bin/git")) {
 
 	$section->addInput(new Form_Input(
 		'repositoryurl',
-		'Repository URL',
+		gettext('Repository URL'),
 		'text',
 		($gitcfg['repositoryurl'] ? $gitcfg['repositoryurl'] : '')
-		))->setHelp('The most recently used repository was %s. This repository will be used if the field is left blank.', $lastrepositoryurl);
+		))->setHelp(gettext('The most recently used repository was %s. This repository will be used if the field is left blank.'), $lastrepositoryurl);
 
 	if (is_dir("/root/pfsense/pfSenseGITREPO/pfSenseGITREPO")) {
 		exec("cd /root/pfsense/pfSenseGITREPO/pfSenseGITREPO && /usr/local/bin/git branch", $output_str);
@@ -202,50 +200,50 @@ if (file_exists("/usr/local/bin/git")) {
 
 	$section->addInput(new Form_Input(
 		'branch',
-		'Branch name',
+		gettext('Branch Name'),
 		'text',
 		($gitcfg['branch'] ? $gitcfg['branch'] : '')
-		))->setHelp('The most recently used branch was "%1$s". (Usually the branch name is master)' .
-					'%2$sNote: Sync will not be performed if a branch is not specified.', $lastbranch, '<br />');
+		))->setHelp(gettext('The most recently used branch was "%1$s". (Usually the branch name is plus-master)' .
+					'%2$sNote: Sync will not be performed if a branch is not specified.'), $lastbranch, '<br />');
 
-	$group = new Form_Group('Sync options');
+	$group = new Form_Group(gettext('Sync Options'));
 
 	$group->add(new Form_Checkbox(
 		'minimal',
 		null,
-		'Minimal',
+		gettext('Minimal'),
 		isset($gitcfg['minimal'])
-		))->setHelp('Copy of only the updated files.');
+		))->setHelp(gettext('Copy of only the updated files.'));
 
 	$group->add(new Form_Checkbox(
 		'diff',
 		null,
-		'Diff',
+		gettext('Diff'),
 		isset($gitcfg['diff'])
-		))->setHelp('Copy of only the different or missing files.');
+		))->setHelp(gettext('Copy of only the different or missing files.'));
 
 	$group->add(new Form_Checkbox(
 		'show_files',
 		null,
-		'Show Files',
+		gettext('Show Files'),
 		isset($gitcfg['show_files'])
-		))->setHelp('Show different and missing files.%1$sWith \'Diff/Minimal\' option.', '<br />');
+		))->setHelp(gettext('Show different and missing files.%1$sWith \'Diff/Minimal\' option.'), '<br />');
 
 	$group->add(new Form_Checkbox(
 		'show_command',
 		null,
-		'Show Command',
+		gettext('Show Command'),
 		isset($gitcfg['show_command'])
-		))->setHelp('Show constructed command.%1$sWith \'Diff/Minimal\' option.', '<br />');
+		))->setHelp(gettext('Show constructed command.%1$sWith \'Diff/Minimal\' option.'), '<br />');
 
 	$group->add(new Form_Checkbox(
 		'dryrun',
 		null,
-		'Dry Run',
+		gettext('Dry Run'),
 		isset($gitcfg['dryrun'])
-		))->setHelp('Dry-run only.%1$sNo files copied.', '<br />');
+		))->setHelp(gettext('Dry-run only.%1$sNo files copied.'), '<br />');
 
-	$group->setHelp('See "playback gitsync --help" in console "PHP Shell + %s tools" for additional information.', g_get('product_label'));
+	$group->setHelp(gettext('See "playback gitsync --help" in console "PHP Shell + %s tools" for additional information.'), g_get('product_label'));
 	$section->add($group);
 
 	$form->add($section);
diff --git a/src/usr/local/www/vpn_ipsec_keys.php b/src/usr/local/www/vpn_ipsec_keys.php
index db32757884..ae79b5f85b 100644
--- a/src/usr/local/www/vpn_ipsec_keys.php
+++ b/src/usr/local/www/vpn_ipsec_keys.php
@@ -82,12 +82,12 @@ if (is_subsystem_dirty('ipsec')) {
 	print_apply_box(gettext("The IPsec tunnel configuration has been changed.") . "<br />" . gettext("The changes must be applied for them to take effect."));
 }
 
-	$tab_array = array();
-	$tab_array[0] = array(gettext("Tunnels"), false, "vpn_ipsec.php");
-	$tab_array[1] = array(gettext("Mobile Clients"), false, "vpn_ipsec_mobile.php");
-	$tab_array[2] = array(gettext("Pre-Shared Keys"), true, "vpn_ipsec_keys.php");
-	$tab_array[3] = array(gettext("Advanced Settings"), false, "vpn_ipsec_settings.php");
-	display_top_tabs($tab_array);
+$tab_array = array();
+$tab_array[] = array(gettext("Tunnels"), false, "vpn_ipsec.php");
+$tab_array[] = array(gettext("Mobile Clients"), false, "vpn_ipsec_mobile.php");
+$tab_array[] = array(gettext("Pre-Shared Keys"), true, "vpn_ipsec_keys.php");
+$tab_array[] = array(gettext("Advanced Settings"), false, "vpn_ipsec_settings.php");
+display_top_tabs($tab_array);
 ?>
 
 <div class="panel panel-default">
diff --git a/src/usr/local/www/vpn_ipsec_mobile.php b/src/usr/local/www/vpn_ipsec_mobile.php
index 1b12709d52..d04f9f6437 100644
--- a/src/usr/local/www/vpn_ipsec_mobile.php
+++ b/src/usr/local/www/vpn_ipsec_mobile.php
@@ -582,10 +582,10 @@ if ($input_errors) {
 }
 
 $tab_array = array();
-$tab_array[0] = array(gettext("Tunnels"), false, "vpn_ipsec.php");
-$tab_array[1] = array(gettext("Mobile Clients"), true, "vpn_ipsec_mobile.php");
-$tab_array[2] = array(gettext("Pre-Shared Keys"), false, "vpn_ipsec_keys.php");
-$tab_array[3] = array(gettext("Advanced Settings"), false, "vpn_ipsec_settings.php");
+$tab_array[] = array(gettext("Tunnels"), false, "vpn_ipsec.php");
+$tab_array[] = array(gettext("Mobile Clients"), true, "vpn_ipsec_mobile.php");
+$tab_array[] = array(gettext("Pre-Shared Keys"), false, "vpn_ipsec_keys.php");
+$tab_array[] = array(gettext("Advanced Settings"), false, "vpn_ipsec_settings.php");
 display_top_tabs($tab_array);
 
 $form = new Form;
diff --git a/src/usr/local/www/vpn_ipsec_settings.php b/src/usr/local/www/vpn_ipsec_settings.php
index 25de688268..3939fba737 100644
--- a/src/usr/local/www/vpn_ipsec_settings.php
+++ b/src/usr/local/www/vpn_ipsec_settings.php
@@ -126,7 +126,7 @@ if ($_POST['save']) {
 					       	IPsec bypass rule'), htmlspecialchars($source));
 				}
 				if (!is_subnetv4($destination) && !is_subnetv6($destination)) {
-					$input_errors[] = sprintf(gettext('%s is not valid destination IP address 
+					$input_errors[] = sprintf(gettext('%s is not valid destination IP address
 						for IPsec bypass rule'), htmlspecialchars($destination));
 				}
 				if ((is_subnetv4($source) && is_subnetv6($destination)) ||
@@ -137,7 +137,7 @@ if ($_POST['save']) {
 				$bypassrules['rule'][] = array(
 					'source' => $_POST["source{$x}"],
 				       	'srcmask' => $_POST["srcmask{$x}"],
-					'destination' => $_POST["destination{$x}"], 
+					'destination' => $_POST["destination{$x}"],
 					'dstmask' => $_POST["dstmask{$x}"]
 				);
 			}
@@ -407,10 +407,10 @@ if ($input_errors) {
 }
 
 $tab_array = array();
-$tab_array[0] = array(gettext("Tunnels"), false, "vpn_ipsec.php");
-$tab_array[1] = array(gettext("Mobile Clients"), false, "vpn_ipsec_mobile.php");
-$tab_array[2] = array(gettext("Pre-Shared Keys"), false, "vpn_ipsec_keys.php");
-$tab_array[3] = array(gettext("Advanced Settings"), true, "vpn_ipsec_settings.php");
+$tab_array[] = array(gettext("Tunnels"), false, "vpn_ipsec.php");
+$tab_array[] = array(gettext("Mobile Clients"), false, "vpn_ipsec_mobile.php");
+$tab_array[] = array(gettext("Pre-Shared Keys"), false, "vpn_ipsec_keys.php");
+$tab_array[] = array(gettext("Advanced Settings"), true, "vpn_ipsec_settings.php");
 display_top_tabs($tab_array);
 
 $form = new Form;
